title: Giggi.me why and how
subtitle: Sharing why and how to bring a static website up
date: 02.10.19
summary: *Some brief notes on how Giggi.me was made*
slug: making-giggi-me
no: 5

### Rationale

In the illusion of getting myself off the big grid of the internet comes
giggi.me.

Inspired by ideas about how the internet really works, giggi.me is a tiny step
towards how I'd like the internet to work like.

Such as many other phenomena in nature, we seem to recognise that the way the
internet grows isn't, in a moral, psychological and maybe social sense, fair.

Little nodes struggle to be reachable at all, their only hope not to drown
in the ocean is hooking up some bigger ship that will carry them around.

The fight for survival of many little nodes turns those ships into full size
cruise vessels and the experience of browsing the internet begins to resemble
crossing Main Street in Disneyland.

Since human beings have managed to get this far by governing some aspects of
their natural habitat, I hope that you will stick around on your own raft.

### How it works

giggi.me is shamelessly naive.
```
         +--------------+          generates          +--------------+
         |     tod      |····························>| docker setup |····
         +--------------+                             +--------------+   ·
                                                                        (+)
         +--------------+            runs             +--------------+   ·
     ····|     apps     |<····························|    docker    |<···
     ·   +--------------+                             +--------------+
    (+)
     ·   +--------------+            reach            +--------------+
     ···>|   internet   |····························>|    people    |
         +--------------+                             +--------------+
```

At the moment if you clone down [tod](git clone "https://www.giggi.me/gerrit/tod"),
you will get what I have put in there already, which is a code review tool
and a static blog.

What you can do, is to add more modules. Tod is modular and flexible, you can
flip on and off apps that are relevant for your purposes.

1. [Jinja docs](http://jinja.pocoo.org/docs/2.10/templates/#sort)
2. [Pelican 3.6.3 docs](http://docs.getpelican.com/en/3.6.3/content.html)
3. [Pelican, using a static page as home](http://docs.getpelican.com/en/3.6.3/faq.html?highlight=faq#how-can-i-use-a-static-page-as-my-home-page)
4. [Markdown docs 1](https://markdown-guide.readthedocs.io/en/latest/)
5. [Markdown docs 2](https://daringfireball.net/projects/markdown/syntax)
6. [tod: template, open, deploy](https://www.giggi.me/gerrit/plugins/gitiles/tod/)
7. [codeigniter](https://codeigniter.com/)
